Faturalar
Fatura Olustur
Enerji devretme icin odeme faturasi olusturun
POST
/
api
/
v1
/
invoices
Fatura Olustur
curl --request POST \
--url https://api.example.com/api/v1/invoices \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
'import requests
url = "https://api.example.com/api/v1/invoices"
payload = {
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
energy_amount: 123,
transfer_count: 123,
duration_hours: 123
})
};
fetch('https://api.example.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice_id": 123,
"payment_address": "<string>",
"price_trx": "<string>",
"price_usdt": "<string>",
"status": "<string>",
"expires_at": "<string>"
}Fatura Olustur
Benzersiz bir yatirma adresi olusturan bir odeme faturasi yaratir. Odeme (TRX veya USDT) alindiginda, enerji otomatik olarak hedef adrese devredilir. Son kullanicilarin dogrudan odeme yaptigi entegrasyonlar icin kullanislidir — hesap bakiyesi gerektirmez.Istek govdesi
string
gerekli
Enerji alacak hedef TRON adresi
number
Enerji miktari (32.000 – 5.000.000). Bunu VEYA
transfer_count kullanin.number
USDT transfer sayisi (1 – 100). Her transfer = 65.000 enerji.
number
gerekli
Kiralama suresi (1 veya 24 saat)
Yanit
number
Benzersiz fatura tanimlayicisi
string
Benzersiz yatirma adresi — buraya TRX veya USDT gonderin
string
TRX cinsinden fiyat
string
USDT cinsinden fiyat
string
Fatura durumu:
pending, paid, delegated, expired, failedstring
ISO 8601 son kullanma zamani
Ornek
curl -X POST https://api.tronrental.com/v1/invoices \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"address": "TRecipientAddress...",
"transfer_count": 1,
"duration_hours": 1
}'
Response
{
"invoice_id": 789,
"payment_address": "TPaymentAddress...",
"address": "TRecipientAddress...",
"energy_amount": 65000,
"duration_hours": 1,
"price_trx": "2.75",
"price_usdt": "0.64",
"status": "pending",
"expires_at": "2026-03-05T12:30:00Z"
}
Faturalar, odeme alinmazsa 30 dakika sonra sona erer.
Olusturulan adreste hem TRX hem de USDT odemeleri kabul edilir.
⌘I
Fatura Olustur
